Subject: [Fwd: Re: Question about iTIP + VCARs]

From: Doug Royer <[email-masked]>
Date: Mon, 05 Aug 2002 12:34:57 -0600

[I accidentally sent my reply just to Bruce] 

-------- Original Message --------
Subject: Re: Question about iTIP + VCARs
Date: Mon, 05 Aug 2002 12:33:34 -0600
From: Doug Royer <[email-masked]>
Organization: http://INET-Consulting.com
To: [email-masked]

[email-masked] wrote:
> 
> Doug wrote:
> > The CS can store them any way the implementation wishes.
> > It is independent of the CAP protocol. Some implementations
> > may use the METHOD property, others may use some other metadata.
> 
> Are you saying that a CS may be allowed to modify the METHOD property
> that a CUA specifies to suite its own need of storing metdata data
> about the entry??

I am saying that whatever the CS does inside of the implementation
does not effect the CAP wire protocol - as long as it
stays inside the implementation.

In my implementation, I store the METHOD property with
each component - if it had one, else I use the METHOD property
to store BOOKED or other internal flags. You and all CUAs
will never see this - unless my CS is buggy.